> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yourflexpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer wallet transactions



## OpenAPI

````yaml /openapi/sso.openapi.json get /sso/transaction
openapi: 3.0.3
info:
  title: Wallet SSO API
  version: 1.0.0
  description: OpenAPI specification for the Wallet service API.
servers:
  - url: https://staging-api.yourflexpay.com/v2
    description: Staging
  - url: https://sandbox-api.yourflexpay.com/v2
    description: Sandbox
  - url: https://api.yourflexpay.com/v2
    description: Live
security:
  - PartnerIdHeader: []
    PartnerApiKeyHeader: []
tags:
  - name: SSO Auth
  - name: SSO Wallet
  - name: SSO Transaction
  - name: SSO Payment Request
  - name: SSO PayTag
  - name: SSO QR
  - name: SSO Beneficiary
paths:
  /sso/transaction:
    get:
      tags:
        - SSO Transaction
      summary: Get customer wallet transactions
      parameters:
        - $ref: '#/components/parameters/LimitQuery'
        - $ref: '#/components/parameters/OffsetQuery'
        - $ref: '#/components/parameters/StartDateQuery'
        - $ref: '#/components/parameters/EndDateQuery'
        - in: query
          name: type
          schema:
            type: string
        - in: query
          name: status
          schema:
            type: string
        - in: query
          name: reference
          schema:
            type: string
        - in: query
          name: search
          schema:
            type: string
        - in: query
          name: currency
          schema:
            type: string
      responses:
        '200':
          description: Wallet and paginated transactions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionListResponse'
      security:
        - ClientIdHeader: []
          ApiKeyHeader: []
          BearerAuth: []
components:
  parameters:
    LimitQuery:
      in: query
      name: limit
      schema:
        type: integer
        minimum: 1
    OffsetQuery:
      in: query
      name: offset
      schema:
        type: integer
        minimum: 0
    StartDateQuery:
      in: query
      name: startDate
      schema:
        type: string
        format: date
    EndDateQuery:
      in: query
      name: endDate
      schema:
        type: string
        format: date
  schemas:
    TransactionListResponse:
      type: object
      properties:
        Wallet:
          $ref: '#/components/schemas/Wallet'
        Transactions:
          $ref: '#/components/schemas/PaginatedTransactionDetail'
    Wallet:
      type: object
      additionalProperties: true
    PaginatedTransactionDetail:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/TransactionDetail'
        count:
          type: integer
        limit:
          type: integer
        offset:
          type: integer
    TransactionDetail:
      type: object
      additionalProperties: true
  securitySchemes:
    ClientIdHeader:
      type: apiKey
      in: header
      name: x-client-id
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````